# opentl::core::cvdata::TemplateMap Class Reference

Inherits opentl::core::cvdata::VisualFeatures.

List of all members.

## Classes
class | TMAPFEATURE
| Model Feature (obj. position + 2 descriptors + warped pos. + visibility). More...
## Public Member Functions
virtual TemplateMap * | clone () const
| Creates a new TemplateMap class instance.
virtual int | dimension () const
| Number of valid model features.
std::vector< TMAPFEATURE * > * | getTmap ()
| Access to the Tmap vector.
cvdata::TemplateMap & | operator= (const cvdata::TemplateMap &value)
| The "true" assign operator.
virtual TemplateMap & | operator= (const opentl::core::cvdata::CvData &value)
| Assign operator.
void | setValidPoints (int v)
| Set the number of valid model features (must be less than the total size of the template).
| TemplateMap (const TemplateMap &value)
| Copy constructor.
| TemplateMap (int maxSize, int nRes, int jacDof)
| Constructor.
virtual | ~TemplateMap ()
| Destructor.

## Constructor & Destructor Documentation

opentl::core::cvdata::TemplateMap::TemplateMap | ( | int | maxSize,
|  | int | nRes,
|  | int | jacDof |
| ) |  |  |

Constructor.

Parameters:

  | maxSize | Maximum size of the template map (NOTE: it may be more than the number of valid points!)
  | nRes | Number of resolutions for each template point
  | jacDof | Columns of the Jacobian matrices

opentl::core::cvdata::TemplateMap::TemplateMap | ( | const TemplateMap & | value | ) |

Copy constructor.

virtual opentl::core::cvdata::TemplateMap::~TemplateMap | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

virtual TemplateMap* opentl::core::cvdata::TemplateMap::clone | ( |  | ) | const`[virtual]`

Creates a new TemplateMap class instance.

virtual int opentl::core::cvdata::TemplateMap::dimension | ( |  | ) | const`[virtual]`

Number of valid model features.

std::vector<TMAPFEATURE *>* opentl::core::cvdata::TemplateMap::getTmap | ( |  | ) | `[inline]`

Access to the Tmap vector.

cvdata::TemplateMap& opentl::core::cvdata::TemplateMap::operator= | ( | const cvdata::TemplateMap & | value | ) |

The "true" assign operator.

virtual TemplateMap& opentl::core::cvdata::TemplateMap::operator= | ( | const opentl::core::cvdata::CvData & | value | ) | `[inline, virtual]`

Assign operator.

Reimplemented from opentl::core::cvdata::CvData.

void opentl::core::cvdata::TemplateMap::setValidPoints | ( | int | v | ) | `[inline]`

Set the number of valid model features (must be less than the total size of the template).